When attempting to upgrade your timescaleDB version using:

ALTER EXTENSION timescaledb

And you run into an error stating "version mismatch:

And you also have connection pooling enabled, It is likely that connection pooling is the issue blocking update. Please connect to your database directly and not via the pool.

Did this answer your question?